import { defineStore } from 'pinia';

const usePinia  = defineStore('user', {
  state: () => ({
    kbobj: {},
  }),

  getters: {
    getkbObj(state) {
      return { ...state };
    },
  },

  actions: {
    // Set user's information
    setkbObj(obj) {
      this.kbobj = obj;
    },
    // Reset user's information
    resetkbObj() {
      this.$reset();
    },
  },
});

export default usePinia ;
